#!/bin/sh
#  Installer for Qt libraries required for Kylix-built Applications version 3.0
#                                            by FUJIMAKI Haruyuki
#
echo "==== Installing Qt libraries required for Kylix_3-built Applications ===="
#---- Checking Current Directory ------
Folder=`find  .  -type d  -name "installing_qt_libraries" -print`
if test "$Folder" != ""; then
  cd $Folder
else
  Folder=`find  .  -type f  -name "libborqt-6.9.0-qt2.3.so" -print`
  if test "$Folder" = ""; then
    echo "Please retry after changing current directory to
 'installing_qt_libraries'."
    exit
  fi
fi
#----- Asking Target Directory -----
QTLIBDIR=/usr/libqt3
ans="n"
while test "$ans" != "y"; do
  echo "This software will be installed in '${QTLIBDIR}'"
  echo -n "Is that ok? (y/n)"  > /dev/stderr
  read ans
  if test "$ans" != "y"; then
    echo -n "Please input the target directory: " > /dev/stderr
    read QTLIBDIR
  fi
done
#------ Implement -------------------
mkdir  -p  $QTLIBDIR
mv -fv  * $QTLIBDIR
cd  $QTLIBDIR
ln  -s  $QTLIBDIR/libborqt-6.9.0-qt2.3.so  $QTLIBDIR/libborqt-6.9-qt2.3.so
echo  $QTLIBDIR  > $HOME/.qtlibpath3
echo "Installation has been completed."
